Bug 127184 - if line is busy ifdown can not end connection,
if line is busy ifdown can not end connection,
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-03 09:13 EDT by Kaveh Mousavi
Modified: 2014-03-16 22:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 21:43:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaveh Mousavi 2004-07-03 09:13:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Using regular external modems (serverals),
If I dial and for some reason (for example line is busy), 
ifdown can not end connection, 
modem lights show that device is in use

I use 
/sbin/ifup myisp
if it connects every thing is ok even /sbin/ifdown for disconnection
if for some reason it does not connect, the line will remain in use (I
think it will keep lock, because modem will disconect), then I can not
disconnect or reconnect or anything using /sbin/ifup or ifdown,


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.set your isp in system-config-network 
2.connect to your isp and hope line be busy,
3.to try to disconnect in any way and call again,
    

Actual Results:  The device will remian busy,

Expected Results:  The device become free or it redial itself,

Additional info:
Comment 1 Thomas Woerner 2004-08-30 11:51:04 EDT
ifdown is part of initscripts -> assinging to initscripts.
Comment 2 Matthew Miller 2005-04-26 11:51:18 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Bill Nottingham 2005-04-28 21:43:06 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response. Please reopen if this persists on a current release, such as Fedora
Core 3.

Note You need to log in before you can comment on or make changes to this bug.